FtpConnectionFactory (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.ftp.FtpConnectionFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.ftp
Class FtpConnectionFactory

    java.lang.Object
      org.mule.transport.ftp.FtpConnectionFactory

All Implemented Interfaces:
  PoolableObjectFactory

    public class FtpConnectionFactory

extends Object
implements PoolableObjectFactory

Constructor Summary
`FtpConnectionFactory(EndpointURI uri)`

Method Summary
`void` | `activateObject(Object obj)`
`void` | `destroyObject(Object obj)`
`Object` | `makeObject()`
`void` | `passivateObject(Object obj)`
`boolean` | `validateObject(Object obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FtpConnectionFactory

    public FtpConnectionFactory(EndpointURI uri)

Method Detail

### makeObject

    public Object makeObject()
                      throws Exception

  Specified by:
    `makeObject` in interface `PoolableObjectFactory`
  Throws:
    `Exception`

### destroyObject

    public void destroyObject(Object obj)
                       throws Exception

  Specified by:
    `destroyObject` in interface `PoolableObjectFactory`
  Throws:
    `Exception`

### validateObject

    public boolean validateObject(Object obj)

  Specified by:
    `validateObject` in interface `PoolableObjectFactory`

### activateObject

    public void activateObject(Object obj)
                        throws Exception

  Specified by:
    `activateObject` in interface `PoolableObjectFactory`
  Throws:
    `Exception`

### passivateObject

    public void passivateObject(Object obj)
                         throws Exception

  Specified by:
    `passivateObject` in interface `PoolableObjectFactory`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.